Du bist nicht angemeldet.

1

Sonntag, 22. Oktober 2017, 20:44

Scripte in Firefox 57

Für Nutzer von Firefox 57+ und Greasemonkey:
Gresemonkey 4.0 wird leider nicht unterstützt.

Firefox 57 (am 14. November 2017) hat einige interne Umstrukturierungen, die auch Greasemonkey mitmachen muß. Dadurch werden leider die Scripte inkompatibel. Außerdem scheinen sämtliche lokal gespeicherten Daten von den Scripten nicht mehr verfügbar zu sein, die von Greasemonkey angestrebte Migration der Daten habe ich nicht zum Laufen bekommen. Daher denke ich es lohnt sich nicht, die Scripte umzuschreiben.

Für einen aktuellen Firefox (Version 57 und neuer) würde ich jetzt die Installation von Violentmonkey empfehlen, im Anschluß müssen leider alle bisher benutzen Scripte neu installiert werden. Leider sind alte Einstellungen und Daten wie das Drachenlogbuch dann leider weg.

Die Alternative wäre die Installation von Firefox 52 ESR, die noch bis Juni 2018 Sicherheitsupdates bekommt, zusammen mit Greasemonkey 3.17.
Jetzt bewerben!


So wertvoll wie ein großes Steak!

Dieser Beitrag wurde bereits 6 mal editiert, zuletzt von »Reel Story« (Gestern, 12:22)


Beiträge: 611

Wohnort: Mutter Erde

Beruf: Master of Disaster

  • Private Nachricht senden

2

Sonntag, 22. Oktober 2017, 22:13

ich schau mal, was sich machen lässt.

:thumbsup: So etwas liest man doch gerne :thumbsup:
Seit dem Update auf FF 56 werden die User ja schon darauf hingewiesen, dass da etwas auf sie zukommt ;(
Nahezu alle beliebten Add-Ons sind davon betroffen, nachzulesen hier:

https://support.mozilla.org/de/kb/modern…ource=inproduct

Da sind die Entwickler von Add-Ons bzw. Erweiterungen gefordert, für Version 57 funktonierende Alternativen anzubieten, um einem der beliebtesten Browser seinen Rang zu erhalten ;)
Hoffen wir das beste.....und natürlich auch auf so engagierte Nerds wie Reel Strory 8o

3

Mittwoch, 15. November 2017, 12:50

Ich hab heute morgen mal versucht, die Scripte mit ihren Einstellungen auf Greasemonkey 4.0 zu migrieren und hab festgestellt, daß diese Migration bei mir gar nicht stattfand. Im Changelog von Greasemonkey steht zwar, daß seit der Version 3.12 diese Daten so migriert werden sollten, daß Webextensions (die einzige API für Plugins in Firefox 57) darauf zugreifen können. Allerdings wurde mir bei mehrfachen Updateversuchen weder angezeigt, daß die Daten migriert werden, noch eine Fehlermeldung, daß sie nicht migriert werden konnten. Schlimmer noch, Greasemonkey scheint gar nicht überprüft zu haben, ob der Vorgang überhaupt erfolgreich war und hat weiterhin munter auf das alte Datenformat zugegriffen.

Da die Daten also scheinbar gar nicht mehr verfügbar sind, lohnt es sich imHo auch nicht, die Scripte anzupassen. Zumal Violentmonkey und Tampermonkey ja beide weiterhin die alte Greasemonkey-API unterstützen, die Scripte also ohne Anpassungen laufen.

Wer allerdings weiterhin auf seine Daten zugreifen will müsste das über Firefox 52 ESR (Support bis bis Juni 2018) und Greasemonkey 3.17 tun, allerdings wahrscheinlich dafür ein neues Profil anlegen und den Ordner gm_scripts aus dem alten Profil-Ordner in den neuen kopieren.

Gibt es denn jemanden, bei dem diese Migration geklappt hat, d.h. bei dem nach dem Update auf Firefox 57 zumindest die Scripte in Greasemonkey sichtbar waren? Wenn ja, bei welchem Betriebssystem (Windows Vista/Windows 10/MacOs (Version)/Linux (Version/…)?

Und wer ein wenig mehr gebastelt hat, über dessen Erfahrungsbericht wäre ich hier auch dankbar.
Jetzt bewerben!


So wertvoll wie ein großes Steak!

4

Mittwoch, 15. November 2017, 18:42

Pimp My Dragosien funktioniert

Die drei Skripte werden in Greasemonkey 4 angezeigt. Pimp my Dragosien funktioniert ohne Basteln meinerseits. Resourcenskript und Arena Manager funktionieren nicht. Ich hab Windows 10 (1709) und Firefox 57.0 (64-Bit).

Beiträge: 611

Wohnort: Mutter Erde

Beruf: Master of Disaster

  • Private Nachricht senden

5

Mittwoch, 15. November 2017, 20:47

Genau so war es bei mir auch. Ich habe mich für Violentmonkey und die Neuinstallationen entschieden.
So funzte alles schnell wieder, die alten Daten waren mir da nicht sooooo wichtig ;)

6

Donnerstag, 16. November 2017, 00:46

Auf dem anderen PC hab ich noch kein Firefox-Update erlaubt. Mit Firefoxprofilen jonglieren oder Waterfox zusätzlich nutzen wäre schon basteln. :rolleyes:

Beiträge: 611

Wohnort: Mutter Erde

Beruf: Master of Disaster

  • Private Nachricht senden

7

Donnerstag, 16. November 2017, 23:20

Für sowas bin ich zu beschäftigt mit mir wichtigeren Dingen. 8)
Was den/die anderen Computer angeht: Ich mag und nutze Firefox-Sync ^^

Holler

Schüler

Beiträge: 115

Wohnort: im Hollerbusch

Beruf: Hollerfee

  • Private Nachricht senden

8

Gestern, 08:44

...und jetzt bitte das Ganze nochmal für Computerblondinen! :)

Beiträge: 611

Wohnort: Mutter Erde

Beruf: Master of Disaster

  • Private Nachricht senden

9

Gestern, 10:24

...und jetzt bitte das Ganze nochmal für Computerblondinen! :)


1. Link anklicken --> Dragopedia
2. Der Reihe nach die dort befindlichen Links benutzen, um zuerst Violentmonkey und danach die gewünschten Scripte zu installieren.
:D

10

Gestern, 12:23

Holler, wo genau kommst du nicht weiter? Eigentlich sollte im ersten Post alles nötige stehen.

Ok, der Link zu Violentmonkey führte zur englischen Seite, hab ich grade gesehen und behoben.
Jetzt bewerben!


So wertvoll wie ein großes Steak!

Holler

Schüler

Beiträge: 115

Wohnort: im Hollerbusch

Beruf: Hollerfee

  • Private Nachricht senden

11

Gestern, 21:52

Mönsch, das ist so urlange her, dass ich da was installiert habe. Ich weiß doch jetzt nicht mehr, wie das damals hieß...

Beiträge: 611

Wohnort: Mutter Erde

Beruf: Master of Disaster

  • Private Nachricht senden

12

Gestern, 22:42

Wenn du es jetzt immer noch nicht weißt, kann ich dir auch nicht mehr helfen........zumal ein Mitglied des derzeitigen Tabellenführers in Liga 1 durchaus Hilfe in der eigenen Gilde finden sollte :P

waldnymphe

Drachenflüsterin

Beiträge: 2 081

Wohnort: waldnymphesien

Beruf: großgrundbesitzerin ;)

  • Private Nachricht senden

13

Gestern, 23:29

Holler, aber es steht doch alles samt passender links in Reel Storys erstem Post? Brauchst doch nur draufklicken und der Rest dürfte sich fast von allein erledigen ... Im Zweifel installierst du einfach alle Skripte :P

Ich konnte mich im Übrigen bis jetzt noch nicht zur neuen Variante des FF durchringen, weil ich doch an den Skriptdaten hänge - ich schaue mir die Drachenlogs immer mal wieder an, auch um die Zucht, das Steigern und die Kosten besser abschätzen und vergleichen zu können.
meine und ich freuen uns über jeden besuch
waldnymphe

Thema bewerten